Bug Hunting Session
Bug 128406 - Calc EDITING: Macro-linked buttons jitter/vibrate and I cannot select cells in LibreOffice Calc after version 6.2.8; LibreOffice Writer EDITING is laggy and suuuper slow too
Summary: Calc EDITING: Macro-linked buttons jitter/vibrate and I cannot select cells i...
Status: NEEDINFO
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.1.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-27 00:17 UTC by Gabriel Staples
Modified: 2019-12-06 13:25 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
File to Demonstrate problem with Basic Macro to Solve to target (36.87 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-11-13 15:21 UTC, Bruce Sobey
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Staples 2019-10-27 00:17:04 UTC
Description:
I recently installed Ubuntu 18.04 onto a laptop and immediately put LibreOffice 6.3.1 onto it. I've had problems ever since!

If LibreOffice is open, my computer feels laggy.
LibreOffice Writer is EXTREMELY laggy on some very large documents with mixed English and Arabic--but mostly just when looking at certain pages--other pages are much better.

LibreOffice Calc also had major issues: in one finance document I have which was converted from an Excel document a while back, I have some macros and macro-linked buttons. They've never worked since moving to LibreOffice but that's ok. 
***When opening up the document, however, on this computer, those buttons would vibrate continually (note that they slightly overlap so it's almost like an algorithms is trying to fix them) and the document is COMPLETELY UNUSABLE. I could click around cells and the formula box would update with that cell's contents, but the cell would not be highlighted. 

I finally downgraded to LibreOffice 6.2.8 and now both the Writer and the Calc issue are fixed and everything works just fine!

My system is Ubuntu 18.04 LTS. Here's the 3 LibreOffice versions tested:

Versions Tested:
------------------
LibreOffice_6.3.1_Linux_x86-64_deb.tar.gz [previous latest]	- BUG, tested 20191026
LibreOffice_6.3.2_Linux_x86-64_deb.tar.gz [latest] 			- BUG, tested 20191026
LibreOffice_6.2.8_Linux_x86-64_deb.tar.gz [stable]			- WORKS FINE! Tested 20191026

Here's an example of how I've been uninstalling and installing versions:

To uninstall old version:
	- from a NON-libreoffice installation directory (ex: from home dir):
	sudo apt remove libreoffice6.3*
To install new version:
	- manually extract (right click file --> Exract here), then:
	cd into LibreOffice_6.3.2.2_Linux_x86-64_deb/DEBS dir, then:
	sudo dpkg -i *.deb



Steps to Reproduce:
TODO: these are personal documents I cannot share, so if able I'll try to get a document with the problems which does not have personal info.

1.
2.
3.

Actual Results:
Editing in Calc is impossible: vibrating macro buttons and no cells can be properly selected.

Editing in Writer on *some pages* is virtually impossible: it is missing keystrokes like crazy and there is a 1~5 second lag between each character I enter. 

Expected Results:
I should be able to edit any cells in Calc.
The macro buttons should sit still, not vibrate up and down rapidly a few pixels at a time.

I should be able to type at a normal speed in Writer.


Reproducible: Always


User Profile Reset: No



Additional Info:
The bug was introduced into LibreOffice between version 6.2.8 and version 6.3.1, as 6.3.1 and 6.3.2 are unusable for me, and 6.2.8 so far works perfectly!
Comment 1 Gabriel Staples 2019-10-27 00:26:27 UTC
Related (appears to be the *exact* same problem as mine!): https://ask.libreoffice.org/en/question/208712/calc-6312-macro-button-problem/

and possibly related: https://bugs.documentfoundation.org/show_bug.cgi?id=121963
Comment 2 Gabriel Staples 2019-10-27 00:29:06 UTC
Possibly related/maybe a duplicate of: https://bugs.documentfoundation.org/show_bug.cgi?id=127842
Comment 3 Gabriel Staples 2019-10-27 00:44:45 UTC
Possibly also related--or maybe a different bug altogether? https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1724876
Comment 4 Julien Nabet 2019-10-27 07:20:08 UTC
There are 2 described pbs in your bug:
- slowliness
- flashing buttons (indeed tdf#121963)
We must focus on 1 pb only. (1 bugtracker => 1 problem or 1 group of very related problems)
Considering the number of duplicates about flashing buttons, I propose you we focus on 1.

Since your document seems confidential (financial part), I propose you to sanitize it (see https://wiki.documentfoundation.org/QA/Bugzilla/Sanitizing_Files_Before_Submission) then to attach it to the bugtracker so we can try to reproduce the problem.

Before that, you may also upgrade to 6.3.2 (I suppose it should be present on LO ppa) to test this slowlisness problem.
Comment 5 Wolfgang Jäger 2019-11-05 08:59:15 UTC
Bug still living in V6.4.0.0alpha1 with documents created with older version.
(As also in 6.3: Other control type also affected even if not having a macro assigned.)
Not yet observed in a few very simple examples freshly created with 6.4 alpha.
Comment 6 Julien Nabet 2019-11-06 11:10:20 UTC
It might be a dup of tdf#121963 which has just been fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?id=e8720057aa0f4e612000d68f6de682f3afb8a1ea
It should be present in daily build in 24/48h, to retest.
Comment 7 Xisco Faulí 2019-11-06 11:11:39 UTC
Thank you for reporting the bug.
Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
Comment 8 Bruce Sobey 2019-11-13 15:21:25 UTC
Created attachment 155789 [details]
File to Demonstrate problem with Basic Macro to Solve to target
Comment 9 Julien Nabet 2019-12-06 13:25:39 UTC
(In reply to Bruce Sobey from comment #8)
> Created attachment 155789 [details]
> File to Demonstrate problem with Basic Macro to Solve to target

On Win10 with master sources updated today, I don't reproduce this.
Indeed, when opening the file and accepting macros, "Insert 10 lines" button doesn't flash. Did you check with prerelease 6.3.4? (it should be released officially next week, see https://wiki.documentfoundation.org/ReleasePlan/6.3)